version: "3"
services:
  sample-service-01-db:
    image: mysql
    restart: always
    environment:
      - MYSQL_ROOT_PASSWORD=password
      - MYSQL_DATABASE=sample_service_01_db
      - MYSQL_USER=sa
      - MYSQL_PASSWORD=123456789
    volumes:
      - "./data/mysql/db:/var/lib/mysql"
    ports:
      - 3300:3306

  sample-service-01-api:
    image: sample-service-01
    ports:
      - 8000:8000
    restart: unless-stopped
    build:
      context: ./
      dockerfile: Dockerfile
    depends_on:
      - sample-service-01-db
